Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
Luigi Di Naro
Il 20/11/20, 16:46

Controlla a db sulla tabella ir_ui_views i record con id 2775 e 2754 e vedi cosa ci sta effettivamente dentro ... a limite eliminali e lancia una -u all.
A me e' capita (ed ancora non ho capito l'evento che lo genera) che odoo duplichi l'albero delle inherit scrivendo sul db robe assurde che poi durante l'aggiornamento non riesce piu' a gestire. Non so se sia questo il tuo caso ma una controllatina al db la darei ... eliminare le viste e' una soluzione per far in modo che odoo le ricrei in maniera pulita.

Purtroppo sta parte della ereditarieta' delle viste e' uno dei punto dolenti di odoo e non poche bestemmie porta di tanto in tanto a chi lo usa ... benvenuto nel team ... almeno l'errore te lo da su una vista tua :D

Altro trucco empirico per scovare l'errore ... svuota le due form ed inserisci pian piano i pezzi.


La tua risposta


0
Walter Tosolini
Il 19/11/20, 09:34

A me quello scherzo li lo fa quando ho dimenticato qualcosa, una virgola, una chiusura di qualche tipo errata lato model. Prova a vedere se il linter è pulito.


La tua risposta


0
Avatar

Alex Comba

--Alex Comba--
925
| 2 0 5
Torino, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 19/11/20, 09:31

Ciao,

hai modo di incollare tutto lo stacktrace dell'errore e anche il contenuto del file /srv/odoo/addons/working/cri-odoo.git/sotras-accounting/views/service_requests_view.xml?


La tua risposta


-1
Luigi Gregori
Il 19/11/20, 18:31

ecco qui i file incriminati:

vista originale


		<!-- sot_service_requests form -->
<record id="sot_service_requests_form" model="ir.ui.view">
<field name="name">SOTraS sot_service_requests form</field>
<field name="model">sot_service_requests</field>
<field name="arch" type="xml">
<form string="Richieste Servizio">
<sheet>
<group>
<group>
<field name = "name" />
<field name = "patient_last_name" />
<field name = "patient_first_name" />
<field name = "contract_id" />
<field name = "service_request_state_id" />
<field name = "service_type_id" />
<field name = "transport_type" />
<field name = "external_rds_id" />
</group>
<group>
<field name = "constraint_type" />
<field name = "constraint_time_requested" />
<field name = "constraint_time_scheduled" options="{'format': 'HH:mm'}" />
<field name = "constraint_time_effective" options="{'format': 'HH:mm'}" />

<table>
<tr>
<th></th>
<th>Inizio</th>
<th>Fine</th>
</tr>
<tr>
<td>Pianificata</td>
<td>
<field name = "scheduled_start_date" widget="time" />
</td>
<td>
<field name = "scheduled_end_date" options="{'format': 'HH:mm'}" />
</td>
</tr>
<tr>
<td>Richiesta</td>
<td>
<field name = "requested_start_date" options="{'format': 'HH:mm'}" />
</td>
<td>
<field name = "requested_end_date" options="{'format': 'HH:mm'}" />
</td>
</tr>
<tr>
<td>Effettiva</td>
<td>
<field name = "effective_start_date" options="{'format': 'HH:mm'}" />
</td>
<td>
<field name = "effective_end_date" options="{'format': 'HH:mm'}" />
</td>
</tr>
</table>
</group>
</group>

<notebook colspan="4">
<page string="Paziente">
<group>
<field name = "patient_nationality" />
<field name = "patient_fiscalcode" />
<field name = "patient_birthdate_date" />
<field name = "patient_weight_class_id" />
<field name = "patient_gender" />
<field name = "patient_logistics_no_elevator" />
<field name = "patient_logistics_stairs" />
<field name = "patient_logistics_stairs_narrow" />
<field name = "patient_address_id" />
<field name = "patient_street" />
<field name = "patient_street_number" />
<field name = "patient_district" />
<field name = "patient_city" />
<field name = "patient_province" />
<field name = "patient_zip" />
<field name = "patient_country" />
<field name = "patient_pavillion" />
<field name = "patient_stair" />
<field name = "patient_floor_id" />
<field name = "patient_phone" />
<field name = "patient_mobile" />
<field name = "patient_email" />
<field name = "patient_mobility_type_id" />
</group>
</page>
<page string="Richiedente">
<group>
<field name = "customer_id" />
<field name = "user_id" />
<field name = "structure_id" />
<field name = "structure_ward_id" />
</group>
</page>
<page string="Caratt. Trasporto">
<group>
<field name = "transport_auxiliary_required" />
<field name = "transport_auxiliary_internal" />
<field name = "transport_nurse_required" />
<field name = "transport_nurse_internal" />
<field name = "transport_doctor_required" />
<field name = "transport_doctor_internal" />
<field name = "active_wait" />
<field name = "active_wait_auxiliary_required" />
<field name = "active_wait_auxiliary_internal" />
<field name = "active_wait_nurse_required" />
<field name = "active_wait_nurse_internal" />
<field name = "active_wait_blsd_required" />
<field name = "active_wait_blsd_internal" />
<field name = "active_wait_doctor_required" />
<field name = "active_wait_doctor_internal" />
<field name = "relative" />
<field name = "relative_name" />
<field name = "relative_mobile" />
<field name = "tech_req_aspirator" />
<field name = "tech_req_oxigen_tank" />
<field name = "tech_req_monitor" />
<field name = "tech_req_ventilator" />
<field name = "tech_req_other" />
<field name = "tech_req_notes" />
</group>
</page>
<page string="Partenza - Arrivo">
<group>
<group string="partenza">
<field name = "from_address_id" />
<field name = "from_street" />
<field name = "from_street_number" />
<field name = "from_district" />
<field name = "from_city" />
<field name = "from_province" />
<field name = "from_zip" />
<field name = "from_country" />
<field name = "from_structure_id" />
<field name = "from_structure_description" />
<field name = "from_structure_ward_id" />
<field name = "from_structure_ward_description" />
<field name = "from_pavillion" />
<field name = "from_stair" />
<field name = "from_floor_id" />
<field name = "from_structure_manual_input" />
<field name = "from_logistics_no_elevator" />
<field name = "from_logistics_stairs" />
<field name = "from_logistics_stairs_narrow" />
<field name = "from_phone1" />
<field name = "from_phone2" />
<field name = "from_fax" />
<field name = "from_mobile" />
<field name = "from_email" />
<field name = "from_notes" />
</group>
<group string="arrivo">
<field name = "to_address_id" />
<field name = "to_street" />
<field name = "to_street_number" />
<field name = "to_district" />
<field name = "to_city" />
<field name = "to_province" />
<field name = "to_zip" />
<field name = "to_country" />
<field name = "to_structure_id" />
<field name = "to_structure_description" />
<field name = "to_structure_ward_id" />
<field name = "to_structure_ward_description" />
<field name = "to_pavillion" />
<field name = "to_stair" />
<field name = "to_floor_id" />
<field name = "to_structure_manual_input" />
<field name = "to_logistics_no_elevator" />
<field name = "to_logistics_stairs" />
<field name = "to_logistics_stairs_narrow" />
<field name = "to_phone1" />
<field name = "to_phone2" />
<field name = "to_fax" />
<field name = "to_mobile" />
<field name = "to_email" />
<field name = "to_notes" />
</group>
</group>
</page>
<page string="Altri dati">
<group>
<field name = "vehicle_stop" />
<field name = "ready_patient" />
<field name = "ready_patient_user_input_id" />
<field name = "ready_patient_date_time" />
<field name = "ready_patient_date_time_log" />
<field name = "psychomotor_agitation" />
<field name = "obesity" />
<field name = "biohazard_contact" />
<field name = "biohazard_aerial" />
<field name = "biohazard_droplets" />
<field name = "tracheostomized" />
<field name = "dialysis" />
<field name = "forced_posture" />
<field name = "patient_notes" />
<field name = "parent_service_request_id" />
<field name = "logical_delete" />
<field name = "past_statistical_data" />
<field name = "import_date" />
<field name = "import_notes" />
<field name = "temp_lock_user_id" />
<field name = "temp_lock_group" />
<field name = "temp_lock_user_name" />
<field name = "temp_lock_date" />
<field name = "temp_lock_state_id" />
<field name = "temp_lock_logical_delete" />
<field name = "package_id" />
<field name = "rectified_start_date" />
<field name = "rectified_end_date" />
<field name = "invoice_id" />
</group>
</page>
<page string="Orari e Km">
<group>
<group string="Tempi">
<field name="effective_t1_date" />
<field name="effective_t2_date" />
<field name="effective_t3_date" />
<field name="effective_t4_date" />
<field name="effective_t5_date" />
<field name="effective_t6_date" />
<field name = "effective_km1" />
<field name = "effective_km2" />
<field name = "effective_km3" />
</group>
<group string="Ausiliari">
<field name = "effective_blsd_start_date" />
<field name = "effective_blsd_end_date" />
<field name = "effective_blsd_duration" />
<field name = "effective_nurse_start_date" />
<field name = "effective_nurse_end_date" />
<field name = "effective_nurse_duration" />
<field name = "effective_doctor_start_date" />
<field name = "effective_doctor_end_date" />
<field name = "effective_doctor_duration" />
</group>
</group>
</page>
<page string="amministrazione">
<group>
<field name = "invoicing_type" />
<field name = "discount_percent" />
<field name = "discount_amount" />
</group>
</page>
</notebook>
</sheet>
</form>
</field>
</record>

-----------------------------------------------------------------------------

Vista che aggiunge ( e da l'errore)

        <record id="view_sot_service_requests_inherited_form" model="ir.ui.view">
            <field name="name">view_sot_service_requests_inherited_form</field>
            <field name="model">sot_service_requests</field>
            <field name="inherit_id" ref="sotras-sot.sot_service_requests_form" />
            <field name="priority" eval="50" />
            <field name="arch" type="xml">
               <field name="invoicing_type" position="after">
                    <field name="invoice_id" attrs="{'invisible': ['|', ('invoice_id', '=', False),('invoice_id', '=', 0)]}" />
                    <button name="generate_invoice" string="Genera Fattura" type="object" class="oe_highlight" />
                </field>
            </field>
        </record>

--------------------

Stacktrace errore


2020-11-19 18:27:48,269 29447 INFO sotras_1 odoo.modules.loading: loading sotras-accounting/views/service_requests_view.xml 
2020-11-19 18:27:48,474 29447 INFO sotras_1 odoo.addons.base.models.ir_ui_view: Il campo `name` non esiste
Contesto errore:
Vista `view_sot_service_requests_inherited_form`
[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754] 
2020-11-19 18:27:48,490 29447 WARNING sotras_1 odoo.modules.loading: Transient module states were reset 
2020-11-19 18:27:48,490 29447 ERROR sotras_1 odoo.modules.registry: Failed to load registry 
Traceback (most recent call last):
  File "/srv/odoo/odoo/odoo/models.py", line 1128, in _validate_fields
    check(self)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 351, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 1131, in postprocess_and_fields
    self.raise_view_error(message, view_id)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 568, in raise_view_error
    raise ValueError(message)
ValueError: Il campo `name` non esiste
Contesto errore:
Vista `view_sot_service_requests_inherited_form`
[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/srv/odoo/odoo/odoo/models.py", line 3893, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/srv/odoo/odoo/odoo/models.py", line 3807, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/models.py", line 3624, in create
    fields[0].determine_inverse(batch_recs)
  File "/srv/odoo/odoo/odoo/fields.py", line 1148, in determine_inverse
    getattr(records, self.inverse)()
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/srv/odoo/odoo/addons/website/models/ir_ui_view.py", line 41, in write
    return super(View, self).write(vals)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 445, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/srv/odoo/odoo/odoo/models.py", line 3349, in write
    self._write(store_vals)
  File "/srv/odoo/odoo/odoo/models.py", line 3485, in _write
    self._validate_fields(vals)
  File "/srv/odoo/odoo/odoo/models.py", line 1132, in _validate_fields
    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))
odoo.exceptions.ValidationError: ('Errore durante la validazione del vincolo\n\nIl campo `name` non esiste\n\nContesto errore:\nVista `view_sot_service_requests_inherited_form`\n[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754]', None)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/srv/odoo/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 417, in load_modules
    force, status, report, loaded_modules, update_module, models_to_check)
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 755, in parse
    self.parse(rec, mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 764, in parse
    exc_info[2]
  File "/srv/odoo/odoo/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/srv/odoo/odoo/odoo/models.py", line 3893, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/srv/odoo/odoo/odoo/models.py", line 3807, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/models.py", line 3624, in create
    fields[0].determine_inverse(batch_recs)
  File "/srv/odoo/odoo/odoo/fields.py", line 1148, in determine_inverse
    getattr(records, self.inverse)()
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/srv/odoo/odoo/addons/website/models/ir_ui_view.py", line 41, in write
    return super(View, self).write(vals)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 445, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/srv/odoo/odoo/odoo/models.py", line 3349, in write
    self._write(store_vals)
  File "/srv/odoo/odoo/odoo/models.py", line 3485, in _write
    self._validate_fields(vals)
  File "/srv/odoo/odoo/odoo/models.py", line 1132, in _validate_fields
    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))
odoo.tools.convert.ParseError: "Errore durante la validazione del vincolo
Il campo `name` non esiste
Contesto errore:
Vista `view_sot_service_requests_inherited_form`
[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754]
None" while parsing /srv/odoo/addons/working/cri-odoo.git/sotras-accounting/views/service_requests_view.xml:4, near
<record id="view_sot_service_requests_inherited_form" model="ir.ui.view">
            <field name="name">view_sot_service_requests_inherited_form</field>
            <field name="model">sot_service_requests</field>
            <field name="inherit_id" ref="sotras-sot.sot_service_requests_form"/>
            <field name="priority" eval="50"/>
            <field name="arch" type="xml">
               <field name="invoicing_type" position="after">
                    <field name="invoice_id" attrs="{'invisible': ['|', ('invoice_id', '=', False),('invoice_id', '=', 0)]}"/>
                    <button name="generate_invoice" string="Genera Fattura" type="object" class="oe_highlight"/>
                </field>
            </field>
        </record>
2020-11-19 18:27:48,577 29447 CRITICAL sotras_1 odoo.service.server: Failed to initialize database `sotras_1`. 
Traceback (most recent call last):
  File "/srv/odoo/odoo/odoo/models.py", line 1128, in _validate_fields
    check(self)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 351, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 1131, in postprocess_and_fields
    self.raise_view_error(message, view_id)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 568, in raise_view_error
    raise ValueError(message)
ValueError: Il campo `name` non esiste
Contesto errore:
Vista `view_sot_service_requests_inherited_form`
[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/srv/odoo/odoo/odoo/models.py", line 3893, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/srv/odoo/odoo/odoo/models.py", line 3807, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/models.py", line 3624, in create
    fields[0].determine_inverse(batch_recs)
  File "/srv/odoo/odoo/odoo/fields.py", line 1148, in determine_inverse
    getattr(records, self.inverse)()
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/srv/odoo/odoo/addons/website/models/ir_ui_view.py", line 41, in write
    return super(View, self).write(vals)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 445, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/srv/odoo/odoo/odoo/models.py", line 3349, in write
    self._write(store_vals)
  File "/srv/odoo/odoo/odoo/models.py", line 3485, in _write
    self._validate_fields(vals)
  File "/srv/odoo/odoo/odoo/models.py", line 1132, in _validate_fields
    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))
odoo.exceptions.ValidationError: ('Errore durante la validazione del vincolo\n\nIl campo `name` non esiste\n\nContesto errore:\nVista `view_sot_service_requests_inherited_form`\n[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754]', None)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/srv/odoo/odoo/odoo/service/server.py", line 1162, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/srv/odoo/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 417, in load_modules
    force, status, report, loaded_modules, update_module, models_to_check)
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/srv/odoo/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 755, in parse
    self.parse(rec, mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 764, in parse
    exc_info[2]
  File "/srv/odoo/odoo/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/srv/odoo/odoo/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/srv/odoo/odoo/odoo/models.py", line 3893, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/srv/odoo/odoo/odoo/models.py", line 3807, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/srv/odoo/odoo/odoo/api.py", line 462, in _model_create_multi
    return create(self, arg)
  File "/srv/odoo/odoo/odoo/models.py", line 3624, in create
    fields[0].determine_inverse(batch_recs)
  File "/srv/odoo/odoo/odoo/fields.py", line 1148, in determine_inverse
    getattr(records, self.inverse)()
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/srv/odoo/odoo/addons/website/models/ir_ui_view.py", line 41, in write
    return super(View, self).write(vals)
  File "/srv/odoo/odoo/odoo/addons/base/models/ir_ui_view.py", line 445, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/srv/odoo/odoo/odoo/models.py", line 3349, in write
    self._write(store_vals)
  File "/srv/odoo/odoo/odoo/models.py", line 3485, in _write
    self._validate_fields(vals)
  File "/srv/odoo/odoo/odoo/models.py", line 1132, in _validate_fields
    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))
odoo.tools.convert.ParseError: "Errore durante la validazione del vincolo
Il campo `name` non esiste
Contesto errore:
Vista `view_sot_service_requests_inherited_form`
[view_id: 2775, xml_id: n/d, model: sot_service_requests, parent_id: 2754]
None" while parsing /srv/odoo/addons/working/cri-odoo.git/sotras-accounting/views/service_requests_view.xml:4, near
<record id="view_sot_service_requests_inherited_form" model="ir.ui.view">
            <field name="name">view_sot_service_requests_inherited_form</field>
            <field name="model">sot_service_requests</field>
            <field name="inherit_id" ref="sotras-sot.sot_service_requests_form"/>
            <field name="priority" eval="50"/>
            <field name="arch" type="xml">
               <field name="invoicing_type" position="after">
                    <field name="invoice_id" attrs="{'invisible': ['|', ('invoice_id', '=', False),('invoice_id', '=', 0)]}"/>
                    <button name="generate_invoice" string="Genera Fattura" type="object" class="oe_highlight"/>
                </field>
            </field>
        </record>
2020-11-19 18:27:53,173 29447 INFO sotras_1 odoo.addons.queue_job.jobrunner.runner: graceful stop requested 







La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

56 follower

Statistiche

Richiesta del: 19/11/20, 08:53
Vista: 73 volte
Ultimo aggiornamento: 20/11/20, 16:46